Description: Fixes the compatibility with the version of Guava in Debian
Author: Emmanuel Bourg <ebourg@apache.org>
Forwarded: not-needed
--- a/build-system/builder/src/main/java/com/android/builder/internal/packaging/zip/ZFile.java
+++ b/build-system/builder/src/main/java/com/android/builder/internal/packaging/zip/ZFile.java
@@ -1470,7 +1470,7 @@
             });
 
             ListenableFuture<CloseableByteSource> compressedByteSourceFuture =
-                    Futures.transform(result, CompressionResult::getSource);
+                    Futures.transform((ListenableFuture) result, CompressionResult::getSource, com.google.common.util.concurrent.MoreExecutors.directExecutor());
             LazyDelegateByteSource compressedByteSource = new LazyDelegateByteSource(
                     compressedByteSourceFuture);
             return new ProcessedAndRawByteSources(source, compressedByteSource);
--- a/build-system/builder/src/main/java/com/android/builder/internal/aapt/v1/AaptV1.java
+++ b/build-system/builder/src/main/java/com/android/builder/internal/aapt/v1/AaptV1.java
@@ -449,7 +449,7 @@
             return compilationFuture;
         }
 
-        return Futures.transform(compilationFuture, (File result) -> {
+        return Futures.transform((ListenableFuture) compilationFuture, (File result) -> {
             SettableFuture<File> returnFuture = SettableFuture.create();
 
             try {
@@ -463,7 +463,7 @@
             }
 
             return returnFuture;
-        });
+        }, com.google.common.util.concurrent.MoreExecutors.directExecutor());
     }
 
     @Nullable
